Logo
OpenScaler

Revoke API token

DELETE
/v1/account/api-tokens/{api_token_id}

Revoke an API token by id. A Keycloak access token may revoke any of the caller's tokens. An API token may revoke only itself (CLI logout).

Authorization

bearer_auth
AuthorizationBearer <token>

Authentication

Create an API token on Profile, or with osctl auth login. Send it in the Authorization header:

Authorization: Bearer os1_...

Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.

In: header

Path Parameters

api_token_id*string

ID of the API token to revoke.

Formatuuid

Response Body

application/json

application/json

text/pain

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/account/api-tokens/497f6eca-6276-4993-bfeb-53cbbbba6f08"
null
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}
{  "errors": [    {      "message": "User not initialized. Send POST /v1/init, then retry the request."    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}